html,
body {
  height: 100vh;
  width: 100vw;
}

.calendar-screen {
  display: flex;
  flex-flow: column;
  height: 100vh;
}

.rbc-calendar {
  height: 100%;
}
/* Modal */
.ReactModalPortal > div {
  opacity: 0;
}

.ReactModalPortal .ReactModal__Overlay {
  align-items: center;
  display: flex;
  justify-content: center;
  transition: opacity 0.2s ease-in-out;
  z-index: 999;
}

.modal-fondo {
  background-color: rgba(0, 0, 0, 0.3);
  bottom: 0;
  left: 0;
  right: 0;
  top: 0;
  position: fixed;
}

.ReactModalPortal .ReactModal__Overlay--after-open {
  opacity: 1;
}

.ReactModalPortal .ReactModal__Overlay--before-close {
  opacity: 0;
}

.modal {
  background: white;
  border-radius: 5px;
  color: rgb(51, 51, 51);
  display: inline;
  max-height: 220px;
  max-width: 500px;
  outline: none;
  padding: 10px;
}

.react-datetime-picker input:focus {
  outline: none;
}

.react-datetime-picker__wrapper {
  border: 0px solid gray !important;
}

.fab {
  border-radius: 100%;
  bottom: 25px;
  font-size: 25px;
  padding: 25px;
  position: fixed;
  right: 25px;
}
.fab-danger {
  bottom: 25px;
  padding: 10px;
  position: fixed;
  left: 25px;
}
.feed {
  flex: 0.4;
  border-right: 1px solid var(--twitter-background);
  min-width: fit-content;
  overflow-y: scroll;
}

/* Hide scrollbar for Chrome, Safari and Opera */
.feed::-webkit-scrollbar {
  display: none;
}

/* Hide scrollbar for IE, Edge and Firefox */
.feed {
  -ms-overflow-style: none; /* IE and Edge */
  scrollbar-width: none; /* Firefox */
}

.feed__header {
  position: sticky;
  top: 0;
  background-color: white;
  z-index: 100;
  border: 1px solid var(--twitter-background);
  padding: 15px 20px;
}

.feed__header > h2 {
  font-size: 20px;
  font-weight: 800;
}
.post {
  display: flex;
  align-items: flex-start;
  border-bottom: 1px solid var(--twitter-background);
  padding-bottom: 10px;
}

.post__body {
  flex: 1;
  padding: 10px;
}

.post__body > img {
  border-radius: 20px;
}

.post__footer {
  display: flex;
  justify-content: space-between;
  margin-top: 20px;
}

.post__headerDescription {
  margin-bottom: 10px;
  font-size: 15px;
}

.post__headerText > h3 {
  font-size: 15px;
  margin-bottom: 5px;
}

.post__badge {
  font-size: 14px !important;
  color: var(--twitter-color);
}

.post__headerSpecial {
  font-weight: 600;
  font-size: 12px;
  color: gray;
}

.post__avatar {
  padding: 20px;
}
.sidebar {
  border-right: 1px solid var(--twitter-background);
  flex: 0.3;
  /* min-width: 250px; */
  margin-top: 20px;
  padding-left: 20px;
  padding-right: 20px;
}

.sidebar__twitterIcon {
  color: var(--twitter-color);
  font-size: 30px !important;
  margin-left: 20px;
  margin-bottom: 20px;
}

.sidebar__tweet {
  background-color: var(--twitter-color) !important;
  border: none !important;
  color: white !important;
  font-weight: 900 !important;
  text-transform: inherit !important;
  border-radius: 30px !important;
  height: 50px !important;
  margin-top: 20px !important;
}

.sidebarOption {
  display: flex;
  align-items: center;
  cursor: pointer;
}

.sidebarOption:hover {
  background-color: #e8f5fe;
  border-radius: 30px;
  color: var(--twitter-color);
  transition: color 100ms ease-out;
}

.sidebarOption > .MuiSvgIcon-root {
  padding: 20px;
}

.sidebarOption > h2 {
  font-weight: 800;
  font-size: 20px;
  margin-right: 20px;
}

.sidebarOption--active {
  color: var(--twitter-color);
}
.tweetBox {
  padding-bottom: 10px;
  border-bottom: 8px solid var(--twitter-background);
  padding-right: 10px;
}

.tweetBox > form {
  display: flex;
  flex-direction: column;
}

.tweetBox__input {
  padding: 20px;
  display: flex;
}

.tweetBox__input > input {
  flex: 1;
  margin-left: 20px;
  font-size: 20px;
  border: none;
}

.tweetBox__imageInput {
  border: none;
  padding: 10px;
}

.tweetBox__tweetButton {
  background-color: var(--twitter-color) !important;
  border: none !important;
  color: white !important;
  font-weight: 900 !important;
  text-transform: inherit !important;
  border-radius: 30px !important;
  width: 80px;
  height: 40px !important;
  margin-top: 20px !important;
  margin-left: auto !important;
}

.widgets {
  flex: 0.3;
}

.widgets__input {
  display: flex;
  align-items: center;
  background-color: var(--twitter-background);
  padding: 10px;
  border-radius: 20px;
  margin-top: 10px;
  margin-left: 20px;
}

.widgets__input > input {
  border: none;
  background-color: var(--twitter-background);
}

.widgets__searchIcon {
  color: gray;
}

.widgets__widgetContainer {
  margin-top: 15px;
  margin-left: 20px;
  padding: 20px;
  background-color: #f5f8fa;
  border-radius: 20px;
}

.widgets__widgetContainer > h2 {
  font-size: 18px;
  font-weight: 800;
}
.loader {
  border: 16px solid #f3f3f3; /* Light grey */
  border-top: 16px solid #3498db; /* Blue */
  border-radius: 50%;
  width: 120px;
  height: 120px;
  animation: spin 2s linear infinite;
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
